package org.project.entity.enemies;

import org.project.item.weapons.Weapon;
import org.project.entity.Entity ;

// TODO: UPDATE IMPLEMENTATION
public class Dragon extends Enemy {
    public Dragon(int hp, int mp, Weapon weapon) {
        super(hp, mp, weapon);
    }

    @Override
    public void attack(Entity target) {

    }

    @Override
    public void defend(Entity me, int damage) {

    }

    @Override
    public void check_hp() {

    }

    @Override
    public void defend() {

    }

    @Override
    public String getName() {
        return "";
    }

    @Override
    public int getMaxHP() {
        return 0;
    }

    @Override
    public int getMaxMP() {
        return 0;
    }

    @Override
    public boolean ISLive() {
        return false;
    }

    // TODO: DESIGN ENEMY AND IMPLEMENT THE CONSTRUCTOR
}
